Package de.willuhn.jameica.hbci.synchronize.jobs

# Interface SynchronizeJob

All Known Subinterfaces:
  `HBCISynchronizeJob`

All Known Implementing Classes:
  `AbstractSynchronizeJob`, `HBCISynchronizeJobKontoauszug`, `HBCISynchronizeJobKontoauszugPdf`, `HBCISynchronizeJobQuittung`, `HBCISynchronizeJobSepaDauerauftragDelete`, `HBCISynchronizeJobSepaDauerauftragList`, `HBCISynchronizeJobSepaDauerauftragStore`, `HBCISynchronizeJobSepaLastschrift`, `HBCISynchronizeJobSepaSammelLastschrift`, `HBCISynchronizeJobSepaSammelUeberweisung`, `HBCISynchronizeJobSepaUeberweisung`, `SynchronizeJobKontoauszug`, `SynchronizeJobKontoauszugPdf`, `SynchronizeJobQuittung`, `SynchronizeJobSepaDauerauftragDelete`, `SynchronizeJobSepaDauerauftragList`, `SynchronizeJobSepaDauerauftragStore`, `SynchronizeJobSepaLastschrift`, `SynchronizeJobSepaSammelLastschrift`, `SynchronizeJobSepaSammelUeberweisung`, `SynchronizeJobSepaUeberweisung`

public interface SynchronizeJob
Interface fuer einen einzelnen Synchronisierungs-Job.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CTX_ENTITY`
Der Context-Name fuer das Fachobjekt.

## Method Summary

Modifier and Type
Method
Description
`void`
`configure()`
Oeffnet den Synchronisierungs-Job zur Konfiguration.
`Object`
`getContext(String key)`
Liefert den Wert der angegebenen Context-Information.
`Konto`
`getKonto()`
Liefert das Konto, ueber welches der Job abgewickelt werden soll.
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Job.
`boolean`
`isRecurring()`
Prueft, ob es sich um einen wiederkehrenden Job handelt.
`void`
`setContext(String key, Object value)`
Speichert weitere Context-Informationen.
`void`
`setKonto(Konto konto)`
Speichert das Konto, ueber welches der Job abgewickelt werden soll.

## Field Details

### CTX_ENTITY

static final String CTX_ENTITY
Der Context-Name fuer das Fachobjekt.

See Also:
  - Constant Field Values

## Method Details

### getName

String getName() throws de.willuhn.util.ApplicationException
Liefert einen sprechenden Namen fuer den Job.

Returns:
  sprechender Name.
Throws:
  `de.willuhn.util.ApplicationException`

### configure

void configure() throws de.willuhn.util.ApplicationException
Oeffnet den Synchronisierungs-Job zur Konfiguration.

Throws:
  `de.willuhn.util.ApplicationException`

### isRecurring

boolean isRecurring()
Prueft, ob es sich um einen wiederkehrenden Job handelt. Saldo- und Umsatzabfragen sind zBsp wiederkehrend, Ueberweisungen jedoch nicht. BUGZILLA 583

Returns:
  true, wenn es sich um einen wiederholenden Job handelt.

### getKonto

Konto getKonto()
Liefert das Konto, ueber welches der Job abgewickelt werden soll.

Returns:
  das Konto.

### setKonto

void setKonto(Konto konto)
Speichert das Konto, ueber welches der Job abgewickelt werden soll.

Parameters:
  `konto` - das Konto.

### setContext

void setContext(String key, Object value)
Speichert weitere Context-Informationen. Das kann z.Bsp. das Fachobjekt selbst sein aber auch Addon-Infos wie ein Zieldatum.

Parameters:
  `key` - Schluessel-Name des Context-Elements.
  `value` - Wert des Context-Elements.

### getContext

Object getContext(String key)
Liefert den Wert der angegebenen Context-Information.

Parameters:
  `key` - der Schluessel-Name des Context-Elements.
Returns:
  der Wert des Context-Elements.